Name:           kactivitymanagerd
Summary:        Plasma service to manage user's activities
Version:        5.27.11
Release:        1
License:        GPLv2+
URL:            https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif

Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  kf5-rpm-macros
BuildRequires:  systemd
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel

BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  boost-devel
Obsoletes:      kf5-kactivities < 5.21.0
Obsoletes:      kactivities < 4.90.0
Provides:       kactivities = %{version}-%{release}
Provides:       kactivities = %{version}-%{release}

%description
%{summary}.


%prep
%autosetup -n %{name}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
%make_build  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang kactivities5 --with-qt

rm -fv %{buildroot}%{_kf5_qmldir}/org/kde/activities/{libkactivitiesextensionplugin.so,qmldir}


%files -f kactivities5.lang
%license LICENSES/*
%doc README.md
%{_kf5_datadir}/qlogging-categories5/kactivitymanagerd.categories
%{_libexecdir}/kactivitymanagerd
%{_kf5_libdir}/libkactivitymanagerd_plugin.so
%{_kf5_qtplugindir}/kactivitymanagerd/
%{_kf5_datadir}/dbus-1/services/org.kde.ActivityManager.service
%{_kf5_datadir}/kservices5/kactivitymanagerd.desktop
%{_kf5_datadir}/krunner/dbusplugins/plasma-runnners-activities.desktop
%{_userunitdir}/plasma-kactivitymanagerd.service


%changelog
* Thu Mar 14 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.11-1
- Update package to version 5.27.11

* Tue Jan 09 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 5.27.10-1
- Update package to version 5.27.10

* Thu Sep 28 2023 misaka00251 <liuxin@iscas.ac.cn> - 5.27.6-1
- Upgrade to 5.27.6

* Wed Jul 20 2022 misaka00251 <misaka00251@misakanet.cn> - 5.25.5-1
- Init package
